Skip to main content
DELETE
https://your-rootprint-host
/
api
/
api-keys
/
{apiKeyId}
Delete an API key
curl --request DELETE \
  --url https://your-rootprint-host/api/api-keys/{apiKeyId} \
  --cookie better-auth.session_token=
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "statusCode": 123,
    "requestId": "<string>",
    "details": [
      {
        "path": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

apiKeyId
integer
required

API key ID.

Required range: x >= 1

Response

API key deleted.